<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="userAgreementClick"
            type="android.view.View.OnClickListener" />

        <variable
            name="privacyAgreementClick"
            type="android.view.View.OnClickListener" />

        <variable
            name="informationListClick"
            type="android.view.View.OnClickListener" />

        <variable
            name="sdkSharingListClick"
            type="android.view.View.OnClickListener" />

        <variable
            name="kipProtectionClick"
            type="android.view.View.OnClickListener" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">


        <androidx.appcompat.widget.Toolbar
            android:id="@+id/tool_bar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:navigationIcon="@drawable/icon_back">

            <TextView
                style="@style/Tool_Bar_Title_Txt"
                android:text="@string/mine_about" />

        </androidx.appcompat.widget.Toolbar>

        <ImageView
            android:id="@+id/iv_icon"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:src="@mipmap/ic_launcher"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintDimensionRatio="1:1"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/tool_bar"
            app:layout_constraintVertical_bias="0.157258064516129"
            app:layout_constraintWidth_percent="0.2" />

        <TextView
            android:id="@+id/tv_app_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            android:text="@string/app_name"
            android:textColor="@color/black"
            android:textSize="14sp"
            android:textStyle="bold"
            app:layout_constraintEnd_toEndOf="@+id/iv_icon"
            app:layout_constraintStart_toStartOf="@+id/iv_icon"
            app:layout_constraintTop_toBottomOf="@+id/iv_icon" />

        <Space
            android:id="@+id/space"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            app:layout_constraintDimensionRatio="360:56"
            app:layout_constraintTop_toBottomOf="@+id/tv_app_name" />

        <TextView
            android:id="@+id/tv_version_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/app_common_page_horizontal_padding"
            android:paddingVertical="6dp"
            android:text="@string/version_title"
            android:textColor="@color/common_txt_color"
            android:textSize="14sp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/space" />

        <TextView
            android:id="@+id/tv_version_code"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="@dimen/app_common_page_horizontal_padding"
            android:textColor="#A7A7A7"
            android:textSize="14sp"
            app:layout_constraintBottom_toBottomOf="@+id/tv_version_title"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="@+id/tv_version_title"
            tools:text="1.0.0" />

        <LinearLayout
            android:id="@+id/ll_about_items"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            app:layout_constraintTop_toBottomOf="@+id/tv_version_title">

            <include
                itemName="@{@string/about_user_agreement}"
                layout="@layout/layout_item_about"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:onClick="@{userAgreementClick}" />

            <include
                itemName="@{@string/about_privacy_agreement}"
                layout="@layout/layout_item_about"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:onClick="@{privacyAgreementClick}" />

            <include
                itemName="@{@string/about_personal_information_list}"
                layout="@layout/layout_item_about"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:onClick="@{informationListClick}"
                android:visibility="gone" />

            <include
                itemName="@{@string/about_sdk_sharing_list}"
                layout="@layout/layout_item_about"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:onClick="@{sdkSharingListClick}"
                android:visibility="gone" />

            <include
                itemName="@{@string/about_kid_protection}"
                layout="@layout/layout_item_about"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:onClick="@{kipProtectionClick}" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/ad_container"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:orientation="vertical"
            app:layout_constraintTop_toBottomOf="@+id/ll_about_items" />


        <View
            android:id="@+id/v_trial"
            android:layout_width="50dp"
            android:layout_height="50dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/about_record_number"
            android:textColor="#A7A7A7"
            android:textSize="14sp"
            app:layout_constraintBottom_toTopOf="@+id/space_bottom"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

        <Space
            android:id="@+id/space_bottom"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintDimensionRatio="360:32" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>